<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/src/sys.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_3abedc03644d33bc69016fb8a5546004.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">sys.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Nano 102/112 series SYS driver source file.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &quot;<a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for sys.c:</div>
<div class="dyncontent">
<div class="center"><img src="../../d5/d21/sys_8c__incl.png" border="0" usemap="#a_std_driver_2src_2sys_8c" alt=""/></div>
</div>
</div>
<p><a href="../../d8/d91/sys_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gafabb183d573b69d6fb9bc208dfbfcd29"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafabb183d573b69d6fb9bc208dfbfcd29">SYS_ClearResetSrc</a> (uint32_t u32Src)</td></tr>
<tr class="memdesc:gafabb183d573b69d6fb9bc208dfbfcd29"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function clear the selected system reset source.  <a href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafabb183d573b69d6fb9bc208dfbfcd29">More...</a><br /></td></tr>
<tr class="separator:gafabb183d573b69d6fb9bc208dfbfcd29"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac4397aaffa735dfabbed9da06db7f03f"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac4397aaffa735dfabbed9da06db7f03f">SYS_GetBODStatus</a> ()</td></tr>
<tr class="memdesc:gac4397aaffa735dfabbed9da06db7f03f"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function get Brown-out detector output status.  <a href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac4397aaffa735dfabbed9da06db7f03f">More...</a><br /></td></tr>
<tr class="separator:gac4397aaffa735dfabbed9da06db7f03f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga74255dfc44a997162d991a69a7d1fbf4"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga74255dfc44a997162d991a69a7d1fbf4">SYS_GetResetSrc</a> (void)</td></tr>
<tr class="memdesc:ga74255dfc44a997162d991a69a7d1fbf4"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function get the system reset source register value.  <a href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga74255dfc44a997162d991a69a7d1fbf4">More...</a><br /></td></tr>
<tr class="separator:ga74255dfc44a997162d991a69a7d1fbf4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad35875e441a7602e8b265c09372a2d8d"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad35875e441a7602e8b265c09372a2d8d">SYS_IsRegLocked</a> (void)</td></tr>
<tr class="memdesc:gad35875e441a7602e8b265c09372a2d8d"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function check register write-protection bit setting.  <a href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad35875e441a7602e8b265c09372a2d8d">More...</a><br /></td></tr>
<tr class="separator:gad35875e441a7602e8b265c09372a2d8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabc7601bc640a903ef512f39e08de164a"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabc7601bc640a903ef512f39e08de164a">SYS_ReadPDID</a> (void)</td></tr>
<tr class="memdesc:gabc7601bc640a903ef512f39e08de164a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function get product ID.  <a href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabc7601bc640a903ef512f39e08de164a">More...</a><br /></td></tr>
<tr class="separator:gabc7601bc640a903ef512f39e08de164a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafc85afae532807b21e6d9c11d0c3683f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc85afae532807b21e6d9c11d0c3683f">SYS_ResetChip</a> (void)</td></tr>
<tr class="memdesc:gafc85afae532807b21e6d9c11d0c3683f"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function reset chip.  <a href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc85afae532807b21e6d9c11d0c3683f">More...</a><br /></td></tr>
<tr class="separator:gafc85afae532807b21e6d9c11d0c3683f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0844b4c27424787d08fbcdcc74573a0a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0844b4c27424787d08fbcdcc74573a0a">SYS_ResetCPU</a> (void)</td></tr>
<tr class="memdesc:ga0844b4c27424787d08fbcdcc74573a0a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function reset CPU.  <a href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0844b4c27424787d08fbcdcc74573a0a">More...</a><br /></td></tr>
<tr class="separator:ga0844b4c27424787d08fbcdcc74573a0a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9e848b58c75cca02dc03ad1b90383a87"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9e848b58c75cca02dc03ad1b90383a87">SYS_ResetModule</a> (uint32_t u32ModuleIndex)</td></tr>
<tr class="memdesc:ga9e848b58c75cca02dc03ad1b90383a87"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function reset selected modules.  <a href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9e848b58c75cca02dc03ad1b90383a87">More...</a><br /></td></tr>
<tr class="separator:ga9e848b58c75cca02dc03ad1b90383a87"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga790f536ad44ceaec7e95f939d83137b9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga790f536ad44ceaec7e95f939d83137b9">SYS_EnableBOD</a> (int32_t i32Mode, uint32_t u32BODLevel)</td></tr>
<tr class="memdesc:ga790f536ad44ceaec7e95f939d83137b9"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function configure BOD function. Configure BOD reset or interrupt mode and set Brown-out voltage level. Enable Brown-out function.  <a href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga790f536ad44ceaec7e95f939d83137b9">More...</a><br /></td></tr>
<tr class="separator:ga790f536ad44ceaec7e95f939d83137b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad0fd5d8424b1d3dc3ec3e92829ed1142"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad0fd5d8424b1d3dc3ec3e92829ed1142">SYS_DisableBOD</a> (void)</td></tr>
<tr class="memdesc:gad0fd5d8424b1d3dc3ec3e92829ed1142"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function disable BOD function.  <a href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad0fd5d8424b1d3dc3ec3e92829ed1142">More...</a><br /></td></tr>
<tr class="separator:gad0fd5d8424b1d3dc3ec3e92829ed1142"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa5fe4caeba00913c3b50194a830ec54f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa5fe4caeba00913c3b50194a830ec54f">SYS_EnableIRCTrim</a> (uint32_t u32TrimSel, uint32_t u32TrimEnInt)</td></tr>
<tr class="memdesc:gaa5fe4caeba00913c3b50194a830ec54f"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function enable HIRC trim function.  <a href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa5fe4caeba00913c3b50194a830ec54f">More...</a><br /></td></tr>
<tr class="separator:gaa5fe4caeba00913c3b50194a830ec54f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac50a9aa367b9b4d323ed9462d14432e5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac50a9aa367b9b4d323ed9462d14432e5">SYS_DisableIRCTrim</a> (void)</td></tr>
<tr class="memdesc:gac50a9aa367b9b4d323ed9462d14432e5"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function disable HIRC trim function.  <a href="../../d3/d53/group___n_a_n_o1_x2___s_y_s___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac50a9aa367b9b4d323ed9462d14432e5">More...</a><br /></td></tr>
<tr class="separator:gac50a9aa367b9b4d323ed9462d14432e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Nano 102/112 series SYS driver source file. </p>
<dl class="section version"><dt>Version</dt><dd>V1.00 </dd></dl>
<dl class="section rcs"><dt>Revision</dt><dd>17 </dd></dl>
<dl class="section rcs"><dt>Date</dt><dd>15/06/17 4:50p </dd></dl>
<dl class="section note"><dt>Note</dt><dd>SPDX-License-Identifier: Apache-2.0 Copyright (C) 2013~2014 Nuvoton Technology Corp. All rights reserved. </dd></dl>

<p class="definition">Definition in file <a class="el" href="../../d8/d91/sys_8c_source.html">sys.c</a>.</p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:32 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
